Loading...
Searching...
No Matches
osmium::RelationMemberList Class Reference

`#include <relation.hpp>`

Inheritance diagram for osmium::RelationMemberList:
[legend]
Collaboration diagram for osmium::RelationMemberList:
[legend]

## Public Member Functions

| RelationMemberList () noexcept=default
Public Member Functions inherited from osmium::memory::Collection< RelationMember, osmium::item_type::relation_member_list >
| Collection () noexcept
bool | empty () const noexcept
size_type | size () const noexcept
iterator | begin () noexcept
const_iterator | begin () const noexcept
iterator | end () noexcept
const_iterator | end () const noexcept
const_iterator | cbegin () const noexcept
const_iterator | cend () const noexcept
Public Member Functions inherited from osmium::memory::Item
| Item (const Item &)=delete
Item & | operator= (const Item &)=delete
| Item (Item &&)=delete
Item & | operator= (Item &&)=delete
| ~Item () noexcept=default
unsigned char * | next () noexcept
const unsigned char * | next () const noexcept
item_size_type | byte_size () const noexcept
item_size_type | padded_size () const
item_type | type () const noexcept
bool | removed () const noexcept
void | set_removed (const bool removed) noexcept
diff_indicator_type | diff () const noexcept
char | diff_as_char () const noexcept
void | set_diff (const diff_indicator_type diff) noexcept

## Static Public Member Functions

static constexpr bool | is_compatible_to (osmium::item_type t) noexcept
Static Public Member Functions inherited from osmium::memory::Collection< RelationMember, osmium::item_type::relation_member_list >
static constexpr bool | is_compatible_to (const osmium::item_type t) noexcept
Static Public Member Functions inherited from osmium::memory::Item
static constexpr bool | is_compatible_to (osmium::item_type) noexcept

## Additional Inherited Members

Public Types inherited from osmium::memory::Collection< RelationMember, osmium::item_type::relation_member_list >
using | value_type = RelationMember
using | reference = RelationMember &
using | const_reference = const RelationMember &
using | iterator = CollectionIterator< RelationMember >
using | const_iterator = CollectionIterator< const RelationMember >
using | size_type = std::size_t
Static Public Attributes inherited from osmium::memory::Collection< RelationMember, osmium::item_type::relation_member_list >
static constexpr osmium::item_type | itemtype
Protected Member Functions inherited from osmium::memory::Item
| Item (item_size_type size=0, item_type type=item_type{}) noexcept
Item & | set_type (const item_type item_type) noexcept

## Constructor & Destructor Documentation

## RelationMemberList()

osmium::RelationMemberList::RelationMemberList | ( |  | ) |

defaultnoexcept

## Member Function Documentation

## is_compatible_to()

static constexpr bool osmium::RelationMemberList::is_compatible_to | ( | osmium::item_type | t | ) |

inlinestaticconstexprnoexcept

The documentation for this class was generated from the following file:

- include/osmium/osm/relation.hpp